Wide Studio Object Reference

Wide Studio Home
Up to

## Class Name

WSCvbtn

## Inherited Class

This class inherits the following classes.
WSCbase WSCnwbase WSCvlabel

## Abstract

This is a push button class. It dents by pressing of the mouse pointer, and fires an activate event when released.

## Function

- Fires an event with a button action.

## Notice

The trigger: WSEV_ACTIVATE is fired by serial action that is WSEV_MOUSE_PRESS and WSEV_MOUSE_RELEASE. It surely usesthe trigger: WSEV_ACTIVATE instead of WSEV_MOUSE_PRESS or WSEV_MOUSE_RELEASE because only the trigger: WSEV_MOUSE_RELEASE can be fired independently if the pressed mouse pointer comes into the area and is released.

Document Release 3.70
For use with Wide Studio Release 3.70, Spring 2004

Wide Studio Home | Up to

Copyright(C) WideStudio Development Team, 1999-2004 |  | Last modified: May 25, 2004